# Fluid Dynamics of the Central Nervous System SNF 213535 

This is the main repository of the Sinergia project: Fluid Dynamics of the Central Nervous System

- Link to the website: https://snf_213535.pages.uzh.ch/fdcns

- Project entry in SNF data base: https://data.snf.ch/grants/grant/213535



## Instructions for content editors 

Access and edit the content of 'webpage_contents/publications' . You can edit the .md files in the browser and use 'preview'
The file will be automatically listed in the 'publications' page in the main site. 
The .md file has some metadata fields in the header section (delimited by '---'). This metadata (author, title, subtitle) will appear in the table in the main site . 




## Instructions for repository owners
### Listing
   The automatically generated tables indexing the .md or .qmd files in a folder is call in Quarto: [Listing](https://quarto.org/docs/websites/website-listings.html). 


### Repository organization 
The main files and folders are the following: 

``` 
fdcns/                            # Repository
│
├── .gitlab-ci.yml                # (fixed name) Has the script that will render the site with any change in the repo. 
├── images                        # contains logos, images, etc used in the main site 
│
├── webpage_contents/             # All editable content and website settings, lay-out etc
│   ├── _quarto.yml               # Settings defining navigation bar titles among other layout features
│   ├── index.qmd                 # Main landing page 
│   ├── pages_*.qmd               # Other pages that will appear in the main site (e.g., glossary)
│   ├── webpage_contents.Rproj    # Recommended file for working with R locally
│   ├── experiments/              # Contain metadata from modalities and per facility
│   │        ├── synchrotron
│   │        │        ├── PSpring8_* # facility and date of collection. Each folder contains procedures and other metadata
│   │        │        ├── ESRF_* 
│   │        │        └── ... 
│   │        ├── multiphoton microscopy 
│   │        └── ...
│   └── publications/             # >> Each page can be a file or a self-contained folder with a .md file and related images or data
│            └── *.md             # Pages describing publications
│ 
├+  _site    # If rendered locally this folder is created with the html files. It will be .gitignore when pushing changes to remote 
│
└──public                  # .gitlab-ci.yml renders the site and copis into 'public'. Folder name required by Gitlab Pages
   │                       # [CI alert!] the content of 'public' can be seen in Gitlab Build/Artifact, not in the main repo view
   │                       # [NOTE: although named 'public' it can be set in a private repository and thus protected]
   └── .nojekyll           # (empty) file required by Gitlab pages if not using jekyll                      
``` 


